Logic to setup production plan, inventory balances, purchases, and shipments

Starting point
- known balances                        STKB
- known available                       BOLH - not posted
- known prod schedule                   SOFT
- known shipments                       Sales Forecast
- forecasted orders                     Sales Forecast
- machines that a part can run on       ??
- actual run-time performance           Alternates
- actual BOM performance                Alternates
- actual scrap performance              Alternates
- available machine time                ??

Populate
- forecasted prod schedule
- forecasted on-hand (via forecast perpetual transactions)
- forecasted available (via forecast transactions)
- forecasted purchases

Iterate through each calendar day
1. materialize forecasted purchases
    1. update on-hand & available
2. materialize production
    1. update on-hand & available
3. materialize transfers
    1. update on-hand & available
3. materialize shipments
    1. update on-hand & available
4. process forecasted order submissions
    1. check for inventory available
        1. Yes
            1. mark unavailable
            2. schedule shipment for request date
        2. No or partial
            1. mark unavailable any partial
            2. schedule on next open slot regardless of request date (each part should be mapped to certain set of machines)
                1. raw materials available
                    1. Yes
                        1. mark unavailable (at begin prod date?)
                    2. No
                        1. mark unavailable any partial (at begin prod date?)
                        2. schedule a purchase net of lead time
                2. sub-components available?
                    1. Yes
                        1. mark unavialable (at begin prod date?)
                    2. No
                        1. (return to 4.1.2.2)
                3. schedule transfer of production after completion if necessary
            3. schedule shipment for request date, or production date if past request date


snap-shot STKB
snap-shot BOLH
snap-shot SOFT


some notes
-----------------

* shift schedules
* parallel resources
* setup time
* efficiencies
* scrap rates
* blends
* known 'A' item volumes planned regardless of demand
* visibility window for incomming orders
* grouping items to reduce change-overs
* initial start-up: merge with current machine schedule
* limit start date to child item availability
* procurement mix
* purchase lag
* transfer lag
* order priority
* inventory minimums
* tool availability