DROP FUNCTION IF EXISTS public.jsonb_array_string_agg;
CREATE FUNCTION public.jsonb_array_string_agg(_arr jsonb, _delim text) RETURNS text AS
$$
DECLARE
    _ret text;

BEGIN

SELECT 
    string_agg(ae.v,_delim)
INTO
    _ret
FROM 
    jsonb_array_elements_text(_arr) ae(v);

return _ret;

END;
$$
LANGUAGE plpgsql;
