`//etc/systemd/system/filename.service`

```
[Unit]
Description=forecast_api
After=network.target

[Service]
ExecStart=/usr/bin/node //opt/forecast_api/index.js
Restart=always
User=fc_api
Environemnt=NODE_ENV=production
WorkingDirectory=//opt/forecast_api

[Install]
WantedBy=multi-user.target
```

`systemctl enable forecast.api`

`systemctl start forecast_api.service`