:Ex - use built in explorer to eplore at location
:colorscheme with autocomplete
:vs veritcale split
:sh horizontal split
:edit open a file
:ls list buffers
:b picka buffer


plugins
------------------------
Vundler
* install per below
* add to .vimrc `Plugin 'gmarik/Vundle.vim'` and run :PluginInstall

NERDtree
* add to .vimrc `Plugin 'scrooloose/nerdtree'` and run :PluginInstall
* call with :NERDtree

fugitive - git command in a split
* add to .vimrc `Plugin 'tpope/vim-fugitive'` and run :PluginInstall
* :Gdiff, :Gstatus etc.

powerline
* vim status and git status info
* add to .vimrc `Plugin 'Lokaltog/powerline', {'rtp': 'powerline/bindings/vim/'}` and run :PluginInstall


Vundler
---------------
git clone https://github.com/VundleVim/Vundle.vim.git ~/.vim/bundle/Vundle.vim

add the following to ~/.vimrc:
```
set nocompatible              " be iMproved, required
filetype off                  " required

" set the runtime path to include Vundle and initialize
set rtp+=~/.vim/bundle/Vundle.vim
call vundle#begin()
" alternatively, pass a path where Vundle should install plugins
"call vundle#begin('~/some/path/here')

" let Vundle manage Vundle, required
Plugin 'VundleVim/Vundle.vim'

" The following are examples of different formats supported.
" Keep Plugin commands between vundle#begin/end.
" plugin on GitHub repo
Plugin 'tpope/vim-fugitive'
" plugin from http://vim-scripts.org/vim/scripts.html
" Plugin 'L9'
" Git plugin not hosted on GitHub
Plugin 'git://git.wincent.com/command-t.git'
" git repos on your local machine (i.e. when working on your own plugin)
Plugin 'file:///home/gmarik/path/to/plugin'
" The sparkup vim script is in a subdirectory of this repo called vim.
" Pass the path to set the runtimepath properly.
Plugin 'rstacruz/sparkup', {'rtp': 'vim/'}
" Install L9 and avoid a Naming conflict if you've already installed a
" different version somewhere else.
" Plugin 'ascenator/L9', {'name': 'newL9'}

" All of your Plugins must be added before the following line
call vundle#end()            " required
filetype plugin indent on    " required
" To ignore plugin indent changes, instead use:
"filetype plugin on
"
" Brief help
" :PluginList       - lists configured plugins
" :PluginInstall    - installs plugins; append `!` to update or just :PluginUpdate
" :PluginSearch foo - searches for foo; append `!` to refresh local cache
" :PluginClean      - confirms removal of unused plugins; append `!` to auto-approve removal
"
" see :h vundle for more details or wiki for FAQ
" Put your non-Plugin stuff after this line
```

after a large apt update, something got messed up with characters and colors, simply doing `syntax on` fixed the problem

when using NERDtree:
* open `o`
* open with a horizontal split `i`
* open with a vertical split `s`