A method to planning sales
----------------------------

## Summary

1. copy history

    1. start with open orders
    2. add orders as placed in past
        1. true-up to current run rate
            1. normalize price for current pricing
                1. will need to idenitfy blocks in the base period that best represent pricing efforts
                2. scale prior periods to match final pricing
            2. exclude expired products/customers
            3. scale new developments to reflect full-year (new products customers)
            4. update cost to current
            5. request date attainment performance
    3. walk prior period sales to new baseline sales as change in run-rate

2. build in changes to current run-rate

    1. volume changes 
    2. pricing changes
    3. new products (must be defined in future at a mininum)
    4. future cost changes
    5. request date attainment



| timeline                                     | day | running days | responsible |
| -------------------------------------------- | --- | ------------ | ----------- |
| **_establish run-rate sales_**               |     |              |             |
| copy history                                 | 1   | 1            | executor    |
| identify pricing windows                     | 1   | 2            | sales team  |
| scale windows to match final                 | 1   | 3            | executor    |
| identify expired products/customers          | 3   | 6            | sales team  |
| eliminate expired volume                     | 1   | 7            | executor    |
| identify new products/customers              | 3   | 10           | sales team  |
| scale new to full year volume                | 1   | 11           | executor    |
| **_load new plans_**                         |     |              |             |
| layer in planned changes not yet implemented |     |              |             |
| identify changes to existing volume          | 3   | 14           | sales team  |
| load changes                                 | 1   | 15           | executor    |
| identify changes in price                    | 3   | 18           | sales team  |
| load changes                                 | 1   | 19           | executor    |
| identify new products                        | 3   | 22           | sales team  |
| load new                                     | 1   | 23           | executor    |



Table Layout
